LibreOffice: XUIConfigurationManager2 Interface Reference

LibreOffice LibreOffice 26.8 SDK API Reference

Loading...
Searching...
No Matches
XUIConfigurationManager2 Interface Reference

`import "XUIConfigurationManager2.idl";`

Inheritance diagram for XUIConfigurationManager2:

## Exported Interfaces
interface | com::sun::star::ui::XUIConfigurationStorage
| provides access to set a storage and to check if a storage has been associated to the user interface configuration manager.
interface | com::sun::star::ui::XUIConfigurationPersistence
| provides access to persistence functions to load/store user interface configuration data from a storage.
interface | com::sun::star::ui::XUIConfigurationManager
| provides functions to change, insert and remove user interface elements from a user interface configuration manager.
interface | com::sun::star::ui::XUIConfiguration
| provides functions to add and remove listeners for changes within a user interface configuration manager.
interface | ::com::sun::star::lang::XComponent
| allows controlling or observing the lifetime of a user interface configuration manager instance.

## Public Member Functions
com::sun::star::ui::XAcceleratorConfiguration | createShortCutManager ()
| Creates a new configuration manager in case there are different views with different languages.
Public Member Functions inherited from XUIConfigurationStorage
void | setStorage ([in] ::com::sun::star::embed::XStorage Storage)
| connects a storage to the user interface configuration manager which is used on subsequent calls of load() and store().
boolean | hasStorage ()
| checks if an instance has already a storage to load/store its data.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Public Member Functions inherited from XUIConfigurationPersistence
void | reload () raises ( ::com::sun::star::uno::Exception )
| reloads the configuration data from the storage and reinitialize the user interface configuration manager instance with this data.
void | store () raises ( ::com::sun::star::uno::Exception )
| stores the configuration data to the storage provided by setStorage() from the storage and initialize the user interface configuration manager instance with the newly data.
void | storeToStorage ([in] ::com::sun::star::embed::XStorage Storage) raises ( ::com::sun::star::uno::Exception )
| stores the configuration data to the provided storage, ignoring the previously set storage by setStorage().
boolean | isModified ()
| provides the current modify state of the configuration manager instance.
boolean | isReadOnly ()
| provides the current read-only state of the user configuration manager.
Public Member Functions inherited from XUIConfigurationManager
void | reset ()
| resets the configuration manager to the default user interface configuration data.
sequence< sequence< com::sun::star::beans::PropertyValue > > | getUIElementsInfo ([in] short ElementType) raises ( com::sun::star::lang::IllegalArgumentException )
| retrieves information about all user interface elements within the user interface configuration manager.
::com::sun::star::container::XIndexContainer | createSettings ()
| creates an empty settings data container.
boolean | hasSettings ([in] string ResourceURL) raises ( com::sun::star::lang::IllegalArgumentException )
| determines if the settings of a user interface element is part the user interface configuration manager.
::com::sun::star::container::XIndexAccess | getSettings ([in] string ResourceURL, [in] boolean bWriteable) raises ( com::sun::star::container::NoSuchElementException, com::sun::star::lang::IllegalArgumentException )
| retrieves the settings of a user interface element.
void | replaceSettings ([in] string ResourceURL, [in] ::com::sun::star::container::XIndexAccess aNewData) raises ( com::sun::star::container::NoSuchElementException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::IllegalAccessException )
| replaces the settings of a user interface element with new settings.
void | removeSettings ([in] string ResourceURL) raises ( com::sun::star::container::NoSuchElementException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::IllegalAccessException )
| removes the settings of an existing user interface element.
void | insertSettings ([in] string NewResourceURL, [in] ::com::sun::star::container::XIndexAccess aNewData) raises ( com::sun::star::container::ElementExistException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::IllegalAccessException )
| inserts the settings of a new user interface element.
com::sun::star::uno::XInterface | getImageManager ()
| retrieves the image manager from the user interface configuration manager.
com::sun::star::ui::XAcceleratorConfiguration | getShortCutManager ()
| retrieves the keyboard short cut manager from the user interface configuration manager.
com::sun::star::uno::XInterface | getEventsManager ()
| retrieves the events manager from the user interface configuration manager.
Public Member Functions inherited from XUIConfiguration
void | addConfigurationListener ([in] ::com::sun::star::ui::XUIConfigurationListener Listener)
| adds the specified listener to receive events when elements are changed, inserted or removed.
void | removeConfigurationListener ([in] ::com::sun::star::ui::XUIConfigurationListener Listener)
| removes the specified listener so it does not receive any events from this user interface configuration manager.
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references.
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object.
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list.

## Detailed Description

Since
  LibreOffice 4.1

## Exported Interfaces

## ◆ ::com::sun::star::lang::XComponent

interface ::com::sun::star::lang::XComponent

allows controlling or observing the lifetime of a user interface configuration manager instance.

The owner of the object may dispose of this object using com::sun::star::lang::XComponent::dispose().

## ◆ com::sun::star::ui::XUIConfiguration

interface com::sun::star::ui::XUIConfiguration

provides functions to add and remove listeners for changes within a user interface configuration manager.

## ◆ com::sun::star::ui::XUIConfigurationManager

interface com::sun::star::ui::XUIConfigurationManager

provides functions to change, insert and remove user interface elements from a user interface configuration manager.

## ◆ com::sun::star::ui::XUIConfigurationPersistence

interface com::sun::star::ui::XUIConfigurationPersistence

provides access to persistence functions to load/store user interface configuration data from a storage.

## ◆ com::sun::star::ui::XUIConfigurationStorage

interface com::sun::star::ui::XUIConfigurationStorage

provides access to set a storage and to check if a storage has been associated to the user interface configuration manager.

## Member Function Documentation

## ◆ createShortCutManager()

com::sun::star::ui::XAcceleratorConfiguration createShortCutManager | ( |  | ) |

Creates a new configuration manager in case there are different views with different languages.

This function enables those views to have short cut keys specific to the languages.

Since
  LibreOffice 7.6

The documentation for this interface was generated from the following file:

- com/sun/star/ui/XUIConfigurationManager2.idl